Subject: Re: bug#71874: 30.0.60; [PATCH] Fontify doxygen comments in c-ts-mode,c++-ts-mode and java-ts-mode
From: Eli Zaretskii <[email-masked]>
To: Vincenzo Pupillo <[email-masked]>
Cc: [email-masked]
Date: Sat, 13 Jul 2024 13:19:21 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Vincenzo Pupillo <[email-masked]>
> Date: Mon, 01 Jul 2024 12:48:33 +0200
> 
> This patch adds support for comment fontification using the doxygen parser:
> https://github.com/tree-sitter-grammars/tree-sitter-doxygen
> 
> This is the same parser used by nvim treesitter and seems to be quite stable.
> The attached screenshot shows the result.
> This patch also works with emacs 31.

Thanks, I installed this on the master branch.

The code needed a minor fix to not show a warning if the Doxygen
grammar is not available.  Also, please note the changes I made in the
style of the commit log messages (mainly showing the entries for the
same file together, not with a separate "* lisp/..." file-name entry),
and try to follow this style in the future.

With that, I'm closing this bug.